View Issue Details

IDProjectCategoryView StatusLast Update
0003619GNUnetATS servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003619: plugin_ats_proportional.c:589 assertion fails in restart tests
DescriptionI think this should be expected (as there can be asynchrony between the events on restart), but should be double-checked and if I'm right, the assertion should be removed.

grothoff@spec:~/svn/gnunet/src/transport$ grep Assert *.log
test_transport_api_restart_1peer.log:Jan 26 23:28:44-218704 ats-22800 ERROR Assertion failed at plugin_ats_proportional.c:589.
test_transport_api_restart_1peer.log:Jan 26 23:28:44-218812 ats-22800 ERROR Assertion failed at plugin_ats_proportional.c:589.
test_transport_api_restart_1peer.log:Jan 26 23:28:44-218869 ats-22800 ERROR Assertion failed at plugin_ats_proportional.c:589.
test_transport_api_restart_1peer.log:Jan 26 23:28:44-218925 ats-22800 ERROR Assertion failed at plugin_ats_proportional.c:589.
test_transport_api_restart_1peer.log:Jan 26 23:28:44-218973 ats-22800 ERROR Assertion failed at plugin_ats_proportional.c:589.
test_transport_api_restart_1peer.log:Jan 26 23:28:44-219014 ats-22800 ERROR Assertion failed at plugin_ats_proportional.c:589.
test_transport_api_restart_2peers.log:Jan 26 23:28:59-338058 ats-22860 ERROR Assertion failed at plugin_ats_proportional.c:589.
TagsNo tags attached.

Relationships

has duplicate 0003645 closedChristian Grothoff Assertion failed at plugin_ats_proportional.c:589 despite no assertion there. 

Activities

amatus

2015-02-02 20:35

developer   ~0008837

I just upgraded to rev 35061 and I'm getting this error message constantly, but only if I have http_client and http_server transports enabled. It doesn't seem to happen if only one of them is enabled.

Below are the first few messages I get on the console when starting my peer with PLUGINS = tcp udp http_server http_client.

Feb 02 14:31:14-600811 ats-24122 ERROR Assertion failed at plugin_ats_proportional.c:589.
Feb 02 14:31:14-601154 ats-proportional-24122 WARNING UNSPECIFIED: Counted 1 active addresses, but network
 says to have 2 active addresses
Feb 02 14:31:14-601248 ats-proportional-24122 WARNING Active: `64TF' `tcp' length 12
Feb 02 14:31:14-808200 ats-24122 ERROR Assertion failed at plugin_ats_proportional.c:589.
Feb 02 14:31:14-808339 ats-proportional-24122 WARNING UNSPECIFIED: Counted 1 active addresses, but network
 says to have 2 active addresses
Feb 02 14:31:14-808414 ats-proportional-24122 WARNING Active: `64TF' `tcp' length 12
Feb 02 14:31:14-996295 ats-24122 ERROR Assertion failed at plugin_ats_proportional.c:589.
Feb 02 14:31:14-996553 ats-proportional-24122 WARNING UNSPECIFIED: Counted 2 active addresses, but network
 says to have 3 active addresses
Feb 02 14:31:14-996628 ats-proportional-24122 WARNING Active: `R4SQ' `udp' length 10
Feb 02 14:31:14-996697 ats-proportional-24122 WARNING Active: `64TF' `tcp' length 12

amatus

2015-02-02 20:36

developer   ~0008838

*sigh* I just tripple-checked my claim and I was wrong. It happens when PLUGINS = tcp udp http_client. So http_server is probably not related.

amatus

2015-02-02 20:41

developer   ~0008839

*double sigh* It has nothing to do with http_server or http_client, I just wasn't waiting long enough. It happens with just tcp and udp enabled. This time I watched connections more closely and it seems to happen as soon as I get 2 peers.

Christian Grothoff

2015-02-09 00:01

manager   ~0008846

Should be fixed now.

Issue History

Date Modified Username Field Change
2015-01-26 23:48 Christian Grothoff New Issue
2015-01-26 23:48 Christian Grothoff Status new => assigned
2015-01-26 23:48 Christian Grothoff Assigned To => Matthias Wachs
2015-02-01 13:17 Christian Grothoff Relationship added has duplicate 0003645
2015-02-02 20:35 amatus Note Added: 0008837
2015-02-02 20:36 amatus Note Added: 0008838
2015-02-02 20:41 amatus Note Added: 0008839
2015-02-09 00:01 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2015-02-09 00:01 Christian Grothoff Note Added: 0008846
2015-02-09 00:01 Christian Grothoff Status assigned => resolved
2015-02-09 00:01 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-02-09 00:01 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed